> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Topic Suggestion

> Accept a topic suggestion by ID, converting it into a regular topic



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json post /topics/suggestions/{topic_suggestion_id}/accept
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /topics/suggestions/{topic_suggestion_id}/accept:
    post:
      tags:
        - Project
      summary: Accept Topic Suggestion
      description: Accept a topic suggestion by ID, converting it into a regular topic
      operationId: postTopicsSuggestionsByTopic_suggestion_idAccept
      parameters:
        - name: topic_suggestion_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Topic suggestion accepted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: to_93f790de-5b7a-45ee-b782-61103c81f20d
                required:
                  - id
                description: Topic suggestion accepted successfully
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````